﻿@model IEnumerable<todo_aspnetmvc_ui.Models.ToDoWithStatus>

<p style="font-size: 25px; font-family: Sans Regular,Arial,sans-serif;">Due Today</p>
<table class="table" style="border: 5px solid #DB2F4E; font-family: Sans Regular,Arial,sans-serif;">
    <thead style="background-color: #DB2F4E; color: white; font-family: Sans Regular,Arial,sans-serif;">
        <tr>
            <th style="width: 14%; overflow: hidden;">
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th style="width: 14%; overflow: hidden;">
                @Html.DisplayNameFor(model => model.Title)
            </th>
            <th style="width: 14%; overflow: hidden;">
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th style="width: 12%; overflow: hidden;">
                @Html.DisplayNameFor(model => model.DueDate)
            </th>
            <th style="width: 12%; overflow: hidden;">
                @Html.DisplayNameFor(model => model.CreationDate)
            </th>
            <th style="width: 20%; overflow: hidden;"></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td style="width: 14%; overflow: hidden;">
                    @Html.DisplayFor(modelItem => item.Status)
                </td>
                <td style="width: 14%; overflow: hidden;">
                    @Html.DisplayFor(modelItem => item.Title)
                </td>
                <td style="width: 14%; overflow: hidden;">
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td style="width: 12%; overflow: hidden;">
                    @Html.DisplayFor(modelItem => item.DueDate)
                </td>
                <td style="width: 12%; overflow: hidden;">
                    @Html.DisplayFor(modelItem => item.CreationDate)
                </td>
                <td class="inButtons"  style="width: 20%; overflow: hidden;">
                    <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> 
                    <a asp-action="Details" asp-route-id="@item.Id">Details</a> 
                    <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
                </td>
            </tr>
        }
    </tbody>
</table>
